Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Blocks a community member, cancels their active subscription (if any), and prevents them from accessing community content.

URL Parameters

community_id
string
required
The ID of the community
id
string
required
The ID of the community membership to block

Body Parameters

reason
string
The reason for blocking the member (optional)

Returns

Returns the updated community membership object with block metadata.
curl -H "Authorization: $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --request POST \
  --url 'https://api.onlydrams.app/api/v1/communities/123/members/456/block' \
  --data '{
    "reason": "Spam and inappropriate behavior"
  }'
{
  "id": "3a6045c1-7dcc-4937-8abc-a7cf6fde85d1",
  "status": "canceled",
  "tier_name": "Premium",
  "lifetime_spend": {
    "cents": 2997,
    "formatted": "$29.97"
  },
  "joined_at": "2025-11-19T13:30:44Z",
  "is_blocked": true,
  "user": {
    "id": "b5b7ae94-9533-4dee-9ed4-0e45338646f5",
    "name": "John Doe",
    "username": "johndoe",
    "email": "john@example.com",
    "avatar_url": "https://storage.googleapis.com/onlydrams/default.jpg"
  },
  "tier": {
    "id": "de7260fe-c514-476e-81c1-e27f22311e27",
    "name": "Premium",
    "color": "#8B5CF6"
  },
  "metadata": {
    "blocked": true,
    "blocked_at": "2025-12-13T14:08:38Z",
    "blocked_by": "owner-user-id",
    "block_reason": "Spam and inappropriate behavior"
  }
}

Error Responses

{
  "message": "User is already blocked"
}
{
  "message": "Not Found"
}
{
  "message": "You don't have permission to view community members"
}